» Ubuntu » 软件包 » lucid (10.04LTS) » libs » libsoup-gnome2.4-1
lucid  ] [  lucid-updates  ] [  precise  ] [  quantal  ] [  raring  ] [  saucy  ] [  saucy-updates  ] [  trusty  ]
[ 源代码: libsoup2.4  ]

软件包: libsoup-gnome2.4-1 (2.30.2-0ubuntu0.2) [security]

libsoup-gnome2.4-1 的相关链接

Screenshot

Ubuntu 的资源:

下载源码包 libsoup2.4:

维护者:

Please consider filing a bug or asking a question via Launchpad before contacting the maintainer directly.

Original Maintainers (usually from Debian):

It should generally not be necessary for users to contact the original maintainer.

相似软件包:

an HTTP library implementation in C -- GNOME support library

It was originally part of a SOAP (Simple Object Access Protocol) implementation called Soup, but the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK+ applications. This enables GNOME applications to access HTTP servers on the network in a completely asynchronous fashion, very similar to the GTK+ programming model (a synchronous operation mode is also supported for those who want it).

The GNOME support library is used for features which are important to GNOME apps, but which require GNOME-specific libraries that non-GNOME apps may not want to add dependencies on.

Features:

 * Both asynchronous (GMainLoop and callback-based) and synchronous APIs
 * Automatically caches connections
 * SSL Support using GnuTLS
 * Proxy support, including authentication and SSL tunneling
 * Client support for Digest, NTLM, and Basic authentication
 * Server support for Digest and Basic authentication
 * Basic client-side SOAP and XML-RPC support

This package contains the GNOME support shared library.

其他与 libsoup-gnome2.4-1 有关的软件包

  • 依赖
  • 推荐
  • 建议
  • dep: libc6 (>= 2.2.5) [amd64]
    Embedded GNU C Library: Shared libraries
    同时作为一个虚包由这些包填实: libc6-udeb
    dep: libc6 (>= 2.3.6-6~) [i386]
  • dep: libgconf2-4 (>= 2.27.0)
    GNOME configuration database system (shared libraries)
  • dep: libgcrypt11 (>= 1.4.2)
    LGPL Crypto library - runtime library
  • dep: libglib2.0-0 (>= 2.21.3)
    The GLib library of C routines
  • dep: libgnome-keyring0 (>= 2.20.3)
    GNOME keyring services library
  • dep: libgnutls26 (>= 2.7.14-0)
    the GNU TLS library - runtime library
  • dep: libproxy0 (>= 0.2.3)
    automatic proxy configuration management library (shared)
  • dep: libsoup2.4-1 (>= 2.28.0)
    an HTTP library implementation in C -- Shared library
  • dep: libsqlite3-0 (>= 3.6.22)
    SQLite 3 shared library
  • dep: libxml2 (>= 2.6.27)
    GNOME XML library
  • dep: zlib1g (>= 1:1.1.4)
    compression library - runtime

下载 libsoup-gnome2.4-1

下载可用于所有硬件架构的
硬件架构 软件包大小 安装后大小 文件
amd64 12.8 kB112.0 kB [文件列表]
i386 11.6 kB108.0 kB [文件列表]